<!DOCTYPE html>
<html>
<head>
    <title>Class Properties Example</title>
</head>
<body>

<?php
// Define a class with properties
class MyClass {
    public $publicProperty = "Public Value";   // Public property
    private $privateProperty;                  // Private property
    protected $protectedProperty = "Protected Value"; // Protected property

    // Constructor to initialize properties
    public function __construct($privateValue) {
        $this->privateProperty = $privateValue;
    }

    // Getter method for private property
    public function getPrivateProperty() {
        return $this->privateProperty;
    }

    // Setter method for private property
    public function setPrivateProperty($newValue) {
        $this->privateProperty = $newValue;
    }

    // Method to access protected property within the class
    public function accessProtectedProperty() {
        return $this->protectedProperty;
    }
}

// Create an object of the class
$object = new MyClass("Private Initial Value");

// Access and display public property
echo "<p>Public Property: " . $object->publicProperty . "</p>";

// Access private property using getter method
echo "<p>Private Property (via Getter): " . $object->getPrivateProperty() . "</p>";

// Modify private property using setter method
$object->setPrivateProperty("New Private Value");

// Access and display modified private property using getter method
echo "<p>Private Property (Modified via Setter): " . $object->getPrivateProperty() . "</p>";

// Access protected property (within class)
echo "<p>Protected Property (Within Class): " . $object->accessProtectedProperty() . "</p>";
?>

</body>
</html>
